## etherwake-1.09.tar.bz2

=== Makefile ===
CFLAGS 	= -Wall
INSTALL = /usr/bin/install
CC 	= gcc

all: 
	$(CC) $(CFLAGS) -o etherwake ether-wake.c

clean:
	rm etherwake
	
install:
	$(INSTALL) etherwake $(DESTDIR)/usr/sbin

=== debian/changelog ===
etherwake (1.09-1) unstable; urgency=low

  * New Upstream

 -- Alain Schroeder <alain@debian.org>  Sun, 10 Jul 2005 20:53:02 +0200

etherwake (1.08-1) unstable; urgency=low

  * New Upstream.
    * Beautified Help Texts.
    * Cleans (PF_INET,SOCK_PACKET) problems (Closes: #171051)
  * Renamed ether-wake.8 to etherwake.8 (Closes: #185134)
  * Revisioned the manpage (Closes: #179290)
  * Cleaned my helptext from multiline strings, Thanks to Daniel Schepler
    <schepler@math.berkeley.edu> (Closes: #194909)
  * Upped Standart Version to 3.5.10.0

 -- Alain Schroeder <alain@debian.org>  Fri,  6 Jun 2003 21:02:11 +0200

etherwake (1.06-2) unstable; urgency=low

  * Reamped description to explain what WOL is (Closes: #135420).
  * Reamped manpage a bit.
  * Upped Standart Version to 3.5.6.0.

 -- Alain Schroeder <alain@debian.org>  Sun, 24 Feb 2002 00:45:07 +0100

etherwake (1.06-1) unstable; urgency=low

  * New Upstream.

 -- Alain Schroeder <alain@parkautomat.net>  Fri, 15 Feb 2002 19:15:07 +0100

etherwake (1.05-6) unstable; urgency=low

  * Fix etherwake to use sockets correctly - removes "uses obsolete
    (PF_INET,SOCK_PACKET)" message. (Closes: #111681)

 -- Alain Schroeder <alain@debian.org>  Sat, 22 Dec 2001 21:51:06 +0100

etherwake (1.05-5) unstable; urgency=low

  * Improve description again. (Closes: #124604)

 -- Alain Schroeder <alain@debian.org>  Sat, 22 Dec 2001 20:22:16 +0100

etherwake (1.05-4) unstable; urgency=low

  * Removed more typos in description. (Again thanks to Carlos Valdivia
    Yage)

 -- Alain Schroeder <alain@debian.org>  Thu, 10 May 2001 15:55:48 +0200
 

etherwake (1.05-3) unstable; urgency=low

  * Removed typo in description. (Closes: #95946)

 -- Alain Schroeder <alain@debian.org>  Tue,  1 May 2001 21:14:41 +0200

etherwake (1.05-2) unstable; urgency=low

  * Upload with diff. It was incidentally uploaded as a native 
    Debian package.
  * Fixed issues with new libc. The old sys/socket.h did not include
    bits/uio.h, which it does now. This unfortunately causes that
    ether-wake wasnt build anymore. I just commented specific part as
    a quick fix for now. It seems that everything works even with the old
    libc, closes #87014.

 -- Alain Schroeder <alain@debian.org>  Fri, 23 Feb 2001 00:27:02 +0100

etherwake (1.05-1) unstable; urgency=low

  * New upstream (help was added).
  * Modified manpage to reflect upstream changes.
  * Changed binary name to original.

 -- Alain Schroeder <alain@debian.org>  Tue, 20 Feb 2001 11:39:03 +0100

etherwake (1.03-1) unstable; urgency=low

  * Added a manpage.
  * Added a Makefile.
  * Initial Release.

 -- Alain Schroeder <alain@debian.org>  Thu,  7 Dec 2000 10:00:24 +0100

=== debian/control ===
Source: etherwake
Section: net
Priority: optional
Maintainer: Alain Schroeder <alain@debian.org>
Build-Depends: debhelper (>> 3.0)
Standards-Version: 3.6.2

Package: etherwake
Architecture: any
Depends: ${shlibs:Depends}
Description: A little tool to send magic Wake-on-LAN packets
 You can wake up WOL compliant Computers which have been powered down to
 sleep mode or start WOL compliant Computers with a BIOS feature.
 .
 WOL is an abbreviation for Wake-on-LAN. It is a standard that allows you 
 to turn on a computer from another location over a network connection.
 .
 etherwake also supports WOL passwords.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/etherwake.sgml > etherwake.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
#	Fix below...
#	mkdir -p debian/tmp/usr/sbin

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/etherwake

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
